Class Address.Builder (1.88.0)

public static final class Address.Builder extends GeneratedMessageV3.Builder<Address.Builder> implements AddressOrBuilder

Represents an IP Address resource. Google Compute Engine has two IP Address resources: * Global (external and internal) * Regional (external and internal) For more information, see Reserving a static external IP address.

Protobuf type google.cloud.compute.v1.Address

Implements

AddressOrBuilder

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllUsers(Iterable<String> values)

public Address.Builder addAllUsers(Iterable<String> values)

[Output Only] The URLs of the resources that are using this address.

repeated string users = 111578632;

Parameter
Name Description
values Iterable<String>

The users to add.

Returns
Type Description
Address.Builder

This builder for chaining.

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public Address.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
Address.Builder
Overrides

addUsers(String value)

public Address.Builder addUsers(String value)

[Output Only] The URLs of the resources that are using this address.

repeated string users = 111578632;

Parameter
Name Description
value String

The users to add.

Returns
Type Description
Address.Builder

This builder for chaining.

addUsersBytes(ByteString value)

public Address.Builder addUsersBytes(ByteString value)

[Output Only] The URLs of the resources that are using this address.

repeated string users = 111578632;

Parameter
Name Description
value ByteString

The bytes of the users to add.

Returns
Type Description
Address.Builder

This builder for chaining.

build()

public Address build()
Returns
Type Description
Address

buildPartial()

public Address buildPartial()
Returns
Type Description
Address

clear()

public Address.Builder clear()
Returns
Type Description
Address.Builder
Overrides

clearAddress()

public Address.Builder clearAddress()

The static IP address represented by this resource.

optional string address = 462920692;

Returns
Type Description
Address.Builder

This builder for chaining.

clearAddressType()

public Address.Builder clearAddressType()

The type of address to reserve, either INTERNAL or EXTERNAL. If unspecified, defaults to EXTERNAL. Check the AddressType enum for the list of possible values.

optional string address_type = 264307877;

Returns
Type Description
Address.Builder

This builder for chaining.

clearCreationTimestamp()

public Address.Builder clearCreationTimestamp()

[Output Only] Creation timestamp in RFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
Address.Builder

This builder for chaining.

clearDescription()

public Address.Builder clearDescription()

An optional description of this resource. Provide this field when you create the resource.

optional string description = 422937596;

Returns
Type Description
Address.Builder

This builder for chaining.

clearField(Descriptors.FieldDescriptor field)

public Address.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
Address.Builder
Overrides

clearId()

public Address.Builder clearId()

[Output Only] The unique identifier for the resource. This identifier is defined by the server.

optional uint64 id = 3355;

Returns
Type Description
Address.Builder

This builder for chaining.

clearIpVersion()

public Address.Builder clearIpVersion()

The IP version that will be used by this address. Valid options are IPV4 or IPV6. Check the IpVersion enum for the list of possible values.

optional string ip_version = 294959552;

Returns
Type Description
Address.Builder

This builder for chaining.

clearIpv6EndpointType()

public Address.Builder clearIpv6EndpointType()

The endpoint type of this address, which should be VM or NETLB. This is used for deciding which type of endpoint this address can be used after the external IPv6 address reservation. Check the Ipv6EndpointType enum for the list of possible values.

optional string ipv6_endpoint_type = 97501004;

Returns
Type Description
Address.Builder

This builder for chaining.

clearKind()

public Address.Builder clearKind()

[Output Only] Type of the resource. Always compute#address for addresses.

optional string kind = 3292052;

Returns
Type Description
Address.Builder

This builder for chaining.

clearLabelFingerprint()

public Address.Builder clearLabelFingerprint()

A fingerprint for the labels being applied to this Address, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an Address.

optional string label_fingerprint = 178124825;

Returns
Type Description
Address.Builder

This builder for chaining.

clearLabels()

public Address.Builder clearLabels()
Returns
Type Description
Address.Builder

clearName()

public Address.Builder clearName()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z?. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.

optional string name = 3373707;

Returns
Type Description
Address.Builder

This builder for chaining.

clearNetwork()

public Address.Builder clearNetwork()

The URL of the network in which to reserve the address. This field can only be used with INTERNAL type with the VPC_PEERING purpose.

optional string network = 232872494;

Returns
Type Description
Address.Builder

This builder for chaining.

clearNetworkTier()

public Address.Builder clearNetworkTier()

This signifies the networking tier used for configuring this address and can only take the following values: PREMIUM or STANDARD. Internal IP addresses are always Premium Tier; global external IP addresses are always Premium Tier; regional external IP addresses can be either Standard or Premium Tier. If this field is not specified, it is assumed to be PREMIUM. Check the NetworkTier enum for the list of possible values.

optional string network_tier = 517397843;

Returns
Type Description
Address.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public Address.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
Address.Builder
Overrides

clearPrefixLength()

public Address.Builder clearPrefixLength()

The prefix length if the resource represents an IP range.

optional int32 prefix_length = 453565747;

Returns
Type Description
Address.Builder

This builder for chaining.

clearPurpose()

public Address.Builder clearPurpose()

The purpose of this resource, which can be one of the following values: - GCE_ENDPOINT for addresses that are used by VM instances, alias IP ranges, load balancers, and similar resources. - DNS_RESOLVER for a DNS resolver address in a subnetwork for a Cloud DNS inbound forwarder IP addresses (regional internal IP address in a subnet of a VPC network) - VPC_PEERING for global internal IP addresses used for private services access allocated ranges. - NAT_AUTO for the regional external IP addresses used by Cloud NAT when allocating addresses using automatic NAT IP address allocation. - IPSEC_INTERCONNECT for addresses created from a private IP range that are reserved for a VLAN attachment in an HA VPN over Cloud Interconnect configuration. These addresses are regional resources. - SHARED_LOADBALANCER_VIP for an internal IP address that is assigned to multiple internal forwarding rules. - PRIVATE_SERVICE_CONNECT for a private network address that is used to configure Private Service Connect. Only global internal addresses can use this purpose. Check the Purpose enum for the list of possible values.

optional string purpose = 316407070;

Returns
Type Description
Address.Builder

This builder for chaining.

clearRegion()

public Address.Builder clearRegion()

[Output Only] The URL of the region where a regional address resides. For regional addresses, you must specify the region as a path parameter in the HTTP request URL. This field is not applicable to global addresses.

optional string region = 138946292;

Returns
Type Description
Address.Builder

This builder for chaining.

public Address.Builder clearSelfLink()

[Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
Address.Builder

This builder for chaining.

clearStatus()

public Address.Builder clearStatus()

[Output Only] The status of the address, which can be one of RESERVING, RESERVED, or IN_USE. An address that is RESERVING is currently in the process of being reserved. A RESERVED address is currently reserved and available to use. An IN_USE address is currently being used by another resource and is not available. Check the Status enum for the list of possible values.

optional string status = 181260274;

Returns
Type Description
Address.Builder

This builder for chaining.

clearSubnetwork()

public Address.Builder clearSubnetwork()

The URL of the subnetwork in which to reserve the address. If an IP address is specified, it must be within the subnetwork's IP range. This field can only be used with INTERNAL type with a GCE_ENDPOINT or DNS_RESOLVER purpose.

optional string subnetwork = 307827694;

Returns
Type Description
Address.Builder

This builder for chaining.

clearUsers()

public Address.Builder clearUsers()

[Output Only] The URLs of the resources that are using this address.

repeated string users = 111578632;

Returns
Type Description
Address.Builder

This builder for chaining.

clone()

public Address.Builder clone()
Returns
Type Description
Address.Builder
Overrides

containsLabels(String key)

public boolean containsLabels(String key)

Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.

map<string, string> labels = 500195327;

Parameter
Name Description
key String
Returns
Type Description
boolean

getAddress()

public String getAddress()

The static IP address represented by this resource.

optional string address = 462920692;

Returns
Type Description
String

The address.

getAddressBytes()

public ByteString getAddressBytes()

The static IP address rep